﻿<UserControl x:Class="CMS.Views.SaleItemView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:dxe="http://schemas.devexpress.com/winfx/2008/xaml/editors"
             xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
             xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
             xmlns:dxlc="http://schemas.devexpress.com/winfx/2008/xaml/layoutcontrol"
             xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
             xmlns:viewModel="clr-namespace:CMS.ViewModels"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
             mc:Ignorable="d" d:DesignHeight="400" d:DesignWidth="600" DataContext="{dxmvvm:ViewModelSource viewModel:SaleItemViewModel}">
    <UserControl.Resources>
        <ResourceDictionary Source="../../Resources/EntityViewResources.xaml" />
    </UserControl.Resources>
    <DockPanel Style="{StaticResource EntityView.RootContainer}">
        <dxr:RibbonControl DockPanel.Dock="Top" Style="{StaticResource EntityView.RibbonControl}" ShowApplicationButton="False" ToolbarShowMode="Hide">
            <dxr:RibbonDefaultPageCategory>
                <dxr:RibbonPage Style="{StaticResource EntityView.RibbonPage}">
                    <dxr:RibbonPageGroup Style="{StaticResource EntityView.RibbonPageGroup.Main}" Caption="Sale Item Tasks">
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Save}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveAndClose}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveAndNew}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Reset}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Close}" />
                    </dxr:RibbonPageGroup>
                    <dxr:RibbonPageGroup Style="{StaticResource EntityView.RibbonPageGroup.Layout}">
                        <dxb:BarCheckItem Style="{StaticResource EntityView.Command.Customize}" IsChecked="{Binding IsCustomization, ElementName=layoutControl}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveLayout}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.ResetLayout}" />
                    </dxr:RibbonPageGroup>
                </dxr:RibbonPage>
            </dxr:RibbonDefaultPageCategory>
        </dxr:RibbonControl>
        <dxr:RibbonStatusBarControl DockPanel.Dock="Bottom" Style="{StaticResource EntityView.RibbonStatusBar}" />
        <dxlc:LayoutControl x:Name="layoutControl" Style="{StaticResource EntityView.LayoutControl}">
            <dxlc:LayoutItem x:Name="layoutItemName" Label="Name">
                <dxe:TextEdit EditValue="{Binding Entity.Name, UpdateSourceTrigger=PropertyChanged,ValidatesOnDataErrors=True}" />
            </dxlc:LayoutItem>
            <dxlc:DataLayoutItem x:Name="layoutItemPrice" Label="Price">
                <dxe:PopupCalcEdit HorizontalContentAlignment="Left"
                                   Mask="d0" MaskUseAsDisplayFormat="True" 
                                   EditValue="{Binding Entity.Price, UpdateSourceTrigger=PropertyChanged , ValidatesOnDataErrors=True}"
                                   IsPopupAutoWidth="False"/>
            </dxlc:DataLayoutItem>

            <dxlc:DataLayoutItem x:Name="layoutItemIsAvailable"  Binding="{Binding Entity.IsAvailable, UpdateSourceTrigger=PropertyChanged}"
                                         Label="Is Available?"/>
            <dxlc:LayoutGroup x:Name="Tabs" View="Tabs" MinHeight="250">
                <DockPanel Style="{StaticResource EntityView.Detail.Container}" DataContext="{Binding SaleItemSaleUnitsDetails}" dxlc:LayoutControl.TabHeader="Sale Units">
                    <dxb:ToolBarControl DockPanel.Dock="Top" AllowCustomizationMenu="False" AllowQuickCustomization="False">
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.New}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Edit}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Refresh}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Save}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Detail.Command.Reset}" />
                    </dxb:ToolBarControl>
                    <dxg:GridControl x:Name="SaleItemSaleUnitsDetailsGrid" dx:DXSerializer.SerializationID="SaleItemSaleUnitsDetailsGrid" Style="{StaticResource EntityView.Detail.GridControl.Editable}">
                        <dxg:GridControl.View>
                            <dxg:TableView Style="{StaticResource EntityView.Detail.TableView}" AutoWidth="True" />
                        </dxg:GridControl.View>
                        <dxg:GridControl.Columns>
                            <dxg:GridColumn IsSmart="True" FieldName="SaleUnitID" Header="Sale Unit ID"/>
                            <dxg:GridColumn IsSmart="True" FieldName="Quantity" >
                                <dxg:GridColumn.EditSettings>
                                    <dxe:TextEditSettings HorizontalContentAlignment="Center"/>
                                </dxg:GridColumn.EditSettings>
                            </dxg:GridColumn>
                            <dxg:GridColumn FieldName="StockItem.Name" Header="Name" ReadOnly="True" />
                            <dxg:GridColumn FieldName="StockItem.PurchasePrice" Header="Purchase Price" ReadOnly="True" >
                                <dxg:GridColumn.CellTemplate>
                                    <DataTemplate>
                                        <dxe:TextEdit  Mask="d0" MaskType="Numeric" HorizontalAlignment="Center" EditMode="InplaceActive"  IsReadOnly="True" EditValue="{Binding RowData.Row.StockItem.PurchasePrice ,Mode=OneWay}" MaskUseAsDisplayFormat="True"/>
                                    </DataTemplate>
                                </dxg:GridColumn.CellTemplate>
                            </dxg:GridColumn>
                            <dxg:GridColumn FieldName="StockItem.SalePrice" Header="Sale Price" ReadOnly="True" >
                                <dxg:GridColumn.CellTemplate>
                                    <DataTemplate>
                                        <dxe:TextEdit  Mask="d0" MaskType="Numeric" HorizontalAlignment="Center" EditMode="InplaceActive"  IsReadOnly="True" EditValue="{Binding RowData.Row.StockItem.SalePrice ,Mode=OneWay}" MaskUseAsDisplayFormat="True"/>
                                    </DataTemplate>
                                </dxg:GridColumn.CellTemplate>
                            </dxg:GridColumn>
                        </dxg:GridControl.Columns>
                        <dxg:GridControl.TotalSummary>
                            <dxg:GridSummaryItem SummaryType="Count" Alignment="Right" />
                        </dxg:GridControl.TotalSummary>
                        <dxg:GridControl.GroupSummary>
                            <dxg:GridSummaryItem SummaryType="Count" />
                        </dxg:GridControl.GroupSummary>
                    </dxg:GridControl>
                </DockPanel>
            </dxlc:LayoutGroup>
        </dxlc:LayoutControl>
    </DockPanel>
</UserControl>